name: 🐞 上报错误
description: Report bug
labels: ["bug"]
body:
  - type: dropdown
    id: os
    attributes:
      label: 操作系统
      options:
        - Debian
        - Ubuntu
        - Kali Linux
        - Linux Mint
        - Deepin
        - Zorin OS
        - Armbian
        - Proxmox VE
        - Raspberry Pi OS
        - Red Hat Enterprise Linux
        - Fedora
        - CentOS
        - Rocky Linux
        - AlmaLinux
        - openEuler
        - OpenCloudOS
        - openKylin
        - Anolis OS
        - openSUSE
        - Arch Linux
        - Alpine Linux
        - Gentoo
        - NixOS
    validations:
      required: true

  - type: dropdown
    id: architecture
    attributes:
      label: 处理器架构
      options:
        - x86_64 / x86_32
        - arm64 / arm/v8 / arm/v7 / arm/v6
        - ppc64le / s390x
        - 其它
    validations:
      required: true

  - type: textarea
    id: release
    attributes:
      label: 系统详细信息
      description: '请执行命令 `cat /etc/os-release`，并将输出结果粘贴在下方'
      render: 'shell'
    validations:
      required: true

  - type: input
    id: uname
    attributes:
      label: 环境信息
      description: '请执行命令 `uname -a`，并将输出结果粘贴在下方'
    validations:
      required: true

  - type: textarea
    id: what-happened
    attributes:
      label: 描述您遇到的问题
    validations:
      required: true

  - type: textarea
    id: logs
    attributes:
      label: 详细的执行日志
      placeholder: 日志内容
      render: 'shell'
    validations:
      required: true
